Page MenuHomePhabricator

Add MessageWidget for block user messages (error, warning, success or notice)
Closed, ResolvedPublic

Description

We need to consider adding a MessageWidget to OOUI, based on the user system block message designs in T127405.
Out of the box it should work with the current flags

  • error
  • warning
  • success
  • notice

similar to the inline messages.

Event Timeline

Volker_E created this task.Jun 11 2019, 9:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2019, 9:08 PM

Change 517123 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[oojs/ui@master] [wip] Add a NoticeWidget

https://gerrit.wikimedia.org/r/517123

Will there also be a PHP variant of this widget?

Volker_E moved this task from Backlog to Doing on the OOUI board.Jun 15 2019, 10:06 PM

Will there also be a PHP variant of this widget?

Yup, working on that, just forgot to put it in the commit message's TODO.

Volker_E triaged this task as Normal priority.Jun 19 2019, 4:44 AM
Volker_E moved this task from Doing to Reviewing on the OOUI board.
Volker_E renamed this task from Add NoticeWidget for block user notices to Add MessageWidget for block user messages (error, warning, success or notice).Jun 20 2019, 11:08 PM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)

Currently proposed design:

Change 517123 merged by jenkins-bot:
[oojs/ui@master] Add a MessageWidget

https://gerrit.wikimedia.org/r/517123

Change 519307 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[oojs/ui@master] FieldLayout: Use the newly created MessageWidget in notices

https://gerrit.wikimedia.org/r/519307

Jdforrester-WMF moved this task from Reviewing to OOUI-0.33.0 on the OOUI board.Jun 26 2019, 11:37 PM
Jdforrester-WMF edited projects, added OOUI (OOUI-0.33.0); removed OOUI.

Change 519307 merged by jenkins-bot:
[oojs/ui@master] FieldLayout: Use the newly created MessageWidget in notices

https://gerrit.wikimedia.org/r/519307

@Mooeypoo The last patch was also fixing a wrong icon appliance in 'notice' messages. Following now the design template. :)

Volker_E closed this task as Resolved.Jun 27 2019, 2:56 AM
Volker_E removed a project: Patch-For-Review.

Change 519341 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.33.0

https://gerrit.wikimedia.org/r/519341

Change 519341 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.33.0

https://gerrit.wikimedia.org/r/519341